package broker

import "github.com/pivotal-cf/brokerapi"

func (b *Broker) Update(instanceID string, details brokerapi.UpdateDetails, asyncAllowed bool) (brokerapi.IsAsync, error) {
	instance, err := b.instanceRepo.FindByID(instanceID)
	if err != nil {
		return true, err
	}

	b.logger.Printf("updating instance %s", instance.ID)

	err = b.redeploy(instance, details.PlanID, Update, details.Parameters)
	return true, err
}
