package broker_test

import (
	"github.com/pivotal-cf/brokerapi"
	"github.com/pivotal-cf/on-demand-service-broker/broker"

	. "github.com/onsi/ginkgo"
	. "github.com/onsi/gomega"
)

var _ = Describe("Update", func() {
	var (
		async brokerapi.IsAsync

		context = ItRedeploysContext{
			instanceID:    "some-instance",
			arbParams:     map[string]interface{}{"foo": "bar"},
			oldPlanID:     secondPlanID,
			newPlanID:     existingPlanID,
			operationType: broker.Update,
		}
	)

	JustBeforeEach(func() {
		async, context.redeployErr = b.Update(context.instanceID, brokerapi.UpdateDetails{PlanID: context.newPlanID, Parameters: context.arbParams}, true)
	})

	It("returns that is operated asynchronously", func() {
		Expect(async).To(Equal(brokerapi.IsAsync(true)))
	})

	ItRedeploys(&context)
})
